/* ATB_Prg_Graphik_1.c Created: 04.04.2015 12:17:16 Author: AS */ 
 
#define F_CPU 16000000UL
#include <inttypes.h>
#include <avr/io.h>
#include <avr/pgmspace.h>
#include <util/delay.h>
#include "ks0108.h"
#include "arial_bold_14.h"
#include "corsiva_12.h"
#include "arial8.h"
#include "small_font.h"

int main(void) 
  {
	DDRD=0b00001000;							// Angabe Pin am AT1284p
	//PORTD &=~(1<<PD3);						// LED aus
    PORTD |=(1<<PD3);							// LED Licht an
	ks0108Init(0);								// Initialize GLCD
	_delay_ms(5);								// Pause
	// Ausgabe Rand
	ks0108DrawRoundRect(1, 2, 125, 61, 8, BLACK);
	//Ausgabe Linie
	ks0108DrawLine(110, 32, 67, 60, BLACK);
	//Ausgabe Viereck leer
	ks0108DrawRect(12, 37, 10, 20, BLACK); 
	//Ausgabe Viereck gefllt
	ks0108FillRect(40, 50, 10, 10, BLACK); 
	// Ausgabe Kreis
	ks0108Circle(110, 50, 10, BLACK);
	// Auswahl Schrift
	ks0108SelectFont(Arial_Bold_14, ks0108ReadFontData, BLACK);
	ks0108GotoXY(14,5);							// Angabe Position
	// Ausgabe Text
	ks0108Puts_P(PSTR("Display - Modul\nmit dem KS0108"));
	_delay_ms(5000);							// Pause
	ks0108SelectFont(small_font, ks0108ReadFontData, BLACK);
	ks0108GotoXY(35,35);						//Angabe Position
	ks0108Puts_P(PSTR("AS 2015"));				// Ausgabe Text
	_delay_ms(5000);							// Pause
	ks0108ClearScreen();						// Display lschen
	_delay_ms(2000);							// Pause
	// Ausgabe Rand
	ks0108DrawRoundRect(1, 2, 125, 61, 8, BLACK);		
	// Text 1
	ks0108SelectFont(Corsiva_12, ks0108ReadFontData, BLACK);
	ks0108GotoXY(10,8);							// Angabe Position
	ks0108Puts_P(PSTR("Text mit Corsiva 12"));	// Ausgabe Text
	// Text 2
	ks0108SelectFont(Arial8, ks0108ReadFontData, BLACK);
	ks0108GotoXY(12,22);						// Angabe Position
	ks0108Puts_P(PSTR("Text mit Arial 8"));		// Ausgabe Text
	// Text 3
	ks0108SelectFont(small_font, ks0108ReadFontData, BLACK);
	ks0108GotoXY(15,35);						//Angabe Position
	ks0108Puts_P(PSTR("Text mit Small Font"));	// Ausgabe Text
	// Text 4
	ks0108SelectFont(Arial_Bold_14, ks0108ReadFontData, BLACK);
	ks0108GotoXY(10,45);						// Angabe Position
	ks0108Puts_P(PSTR("Arial Bold 14"));		// Ausgabe Text
	while(1);
  }